---
{%- for instance in kubeinstaller.sys.grafana.instances %}

instance-{{ loop.index0 }}-server:
  name: "grafana-{{ instance.name }}-server"
  image:
    registry: "{{ kubeinstaller.sys.grafana.profiles | selectattr('name', '==', instance.profile) | map(attribute='registry') | first }}"
    tag: "{{ kubeinstaller.sys.grafana.profiles | selectattr('name', '==', instance.profile) | map(attribute='tag') | first }}"
  tz: "{{ kubeinstaller.sys.grafana.profiles | selectattr('name', '==', instance.profile) | map(attribute='tz') | first }}"
  domain: "{{ instance.domain }}"
  ca:
    issuerName: "{{ instance.ca.issuerName }}"
  ingress:
    className: "{{ instance.ingress.className }}"
{%- endfor %}
